Reinforcement BentShapeRebar/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(22 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav/ru
{{GuiCommandAddon/ru|Name=Arch Rebar BentShape|Name/ru=Arch Rebar BentShape|Workbenches=[[Arch Module/ru|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/ru|Stirrup]]}}
|[[Arch_Rebar_Stirrup/ru|Кольцевая арматура]]
|[[Arch_Rebar_Helical/ru|Спиральная арматура]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_Stirrup.svg
|IconR=Arch_Rebar_Helical.svg
|IconC=Workbench_Arch.svg
}}
</div>
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/ru
|Name=Arch Rebar BentShape
|Name/ru=Изогнутая арматура
|MenuLocation=Arch → Rebar tools
|Name=Arch_Rebar_BentShape
|Workbenches=[[Arch Workbench|Arch]], [[BIM Workbench|BIM]]
|MenuLocation=Arch → Rebar tools → Bent-Shape Rebar<br>3D/BIM → Reinforcement tools → Bent-Shape Rebar
|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup Rebar]], [[Arch Rebar|Arch Rebar]]
|Workbenches=[[Arch_Workbench/ru|Arch]], [[BIM_Workbench/ru|BIM]]
|Version=0.17
|Version=0.17
|SeeAlso=[[Reinforcement_Workbench/ru|Reinforcement]], [[Arch_Rebar/ru|Арматура по эскизу]], [[Arch_Rebar_Stirrup/ru|Кольцевая арматура]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


Line 18: Line 30:
</div>
</div>


This command is part of the [[Reinforcement Addon|Reinforcement Addon]], that you can install with the [[Addon Manager|Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].


[[Image:Arch_Rebar_BentShape_example.png|400px]]
[[Image:Arch_Rebar_BentShape_example.png|400px]]
Line 25: Line 37:
</div>
</div>


<span id="Usage"></span>
==Использование==
==Применение==


# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch_Rebar_BentShape.svg|16px]] [[Arch Rebar BentShape|BentShape Rebar]]}} from the rebar tools.
# Then select {{Button|[[Image:Reinforcement_BentShapeRebar.svg|16px]] [[Reinforcement_BentShapeRebar|Bent-Shape Rebar]]}} from the rebar tools.
# A task panel will pop-out on the left side of the screen as shown below.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Select the desired orientation.
# Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar.
# Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the mode of distribution either amount or spacing.
# Select the mode of distribution either 'Amount' or 'Spacing'.
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
#* If 'Spacing' is selected, a user can also opt for [[Reinforcement_Custom_Spacing|custom spacing]].
# Pick selected face is used to verify or change the face for rebar distribution.
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|Cancel}} to exit the task panel.
# Click {{Button|Cancel}} to exit the task panel.


[[Image:BentShapeDialog.png|250px]]
[[Image:BentShapeDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar BentShape tool}}
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
==Свойства==
==Свойства==


Line 54: Line 68:
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Скриптование ==
== Скриптование ==
</div>
</div>

{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 77: Line 94:
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Left"}}, or {{incode|"Right"}}.
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Left"}}, or {{incode|"Right"}}.


=== Example ===
<span id="Example"></span>
=== Пример ===

{{Code|code=
{{Code|code=
import FreeCAD, Arch, BentShapeRebar
import FreeCAD, Arch, BentShapeRebar
Line 96: Line 115:
=== Edition of the rebar ===
=== Edition of the rebar ===


You can change the properties of the rebar with the following function
You can change the properties of the rebar with the following function:


{{Code|code=
{{Code|code=
Line 117: Line 136:
12, 35, 100, 155, 2, True, 6, "Top")
12, 35, 100, 155, 2, True, 6, "Top")
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{Docnav/ru
[[Category:Arch/ru]]
|[[Arch_Rebar_Stirrup/ru|Кольцевая арматура]]
|[[Arch_Rebar_Helical/ru|Спиральная арматура]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_Stirrup.svg
|IconR=Arch_Rebar_Helical.svg
|IconC=Workbench_Arch.svg
}}
</div>
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]

{{Userdocnavi{{#translation:}}}}

[[Category:Reinforcement{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:45, 9 March 2024

Изогнутая арматура

Системное название
Arch_Rebar_BentShape
Расположение в меню
Arch → Rebar tools → Bent-Shape Rebar
3D/BIM → Reinforcement tools → Bent-Shape Rebar
Верстаки
Arch, BIM
Быстрые клавиши
Нет
Представлено в версии
0.17
См. также
Reinforcement, Арматура по эскизу, Кольцевая арматура

Описание

Инструмент Bent Shape Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Применение

  1. Select any face of a previously created Arch Structure object.
  2. Then select Bent-Shape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Task panel for the tool

Свойства

  • ДанныеOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • ДанныеFront Cover: The distance between rebar and selected face.
  • ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеAnchor Length: It is the arm's length of bent shape rebar.
  • ДанныеBent Angle: It decides angle in bent shape rebar.
  • ДанныеAmount: The amount of rebars.
  • ДанныеSpacing: The distance between the axes of each bar.

Скриптование

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

Инструмент Bent Shape Rebar можно использовать в macros и на консоли python с помощью следующей функции:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, l_cover, r_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, left, right, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the center reinforcement bars.
  • bentLength and bentAngle define the length of the tip of the reinforcement bars, and the bending angle from the center bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom", "Top", "Left", or "Right".

Пример

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function:

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar is a previously created BentShapeRebar object.
  • The other parameters are the same as required by the makeBentShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")